package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.qmth.themis.business.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Description: app信息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_b_app", description = "app信息")
public class TBApp extends BaseEntity {

    @ApiModelProperty(value = "应用名")
    @TableField(value = "name")
    private String name;

    @ApiModelProperty(value = "访问凭证")
    @TableField(value = "access_key")
    private String accessKey;

    @ApiModelProperty(value = "访问密钥")
    @TableField(value = "access_secret")
    private String accessSecret;

    @ApiModelProperty(value = "最近访问时间")
    @TableField(value = "last_access_time")
    private Long lastAccessTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccessKey() {
        return accessKey;
    }

    public void setAccessKey(String accessKey) {
        this.accessKey = accessKey;
    }

    public String getAccessSecret() {
        return accessSecret;
    }

    public void setAccessSecret(String accessSecret) {
        this.accessSecret = accessSecret;
    }

    public Long getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(Long lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }
}
